ru.bitel.bgbilling.modules.inet.api.server.bean

## Class InetServMoveManager

- java.lang.Object
- - ru.bitel.bgbilling.modules.inet.api.server.bean.InetServMoveManager

-     public class InetServMoveManager
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InetServMoveManager(java.sql.Connection con, int moduleId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `checkForCurrentSessions(InetServ inetServ)`
    `void` | `freeResources()`
    `void` | `moveSessionData(InetServ inetServ, InetServ newInetServ)`
    `void` | `wrapSessionData(InetServ inetServ, InetServ newInetServ)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InetServMoveManager

          public InetServMoveManager(java.sql.Connection con,
                                     int moduleId)
                              throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

  - ### Method Detail

    - #### wrapSessionData

          public void wrapSessionData(InetServ inetServ,
                                      InetServ newInetServ)
                               throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### moveSessionData

          public void moveSessionData(InetServ inetServ,
                                      InetServ newInetServ)
                               throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### checkForCurrentSessions

          public void checkForCurrentSessions(InetServ inetServ)
                                       throws ru.bitel.bgbilling.common.BGException,
                                              ru.bitel.bgbilling.common.BGMessageException

      Throws:
        `ru.bitel.bgbilling.common.BGException`
        `ru.bitel.bgbilling.common.BGMessageException`

    - #### freeResources

          public void freeResources()
                             throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`